#
# spec file for package ghc-asn1-encoding
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name asn1-encoding
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.9.6
Release:        150500.1.1
Summary:        ASN1 data reader and writer in RAW, BER and DER forms
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-asn1-types-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hourglass-devel
BuildRequires:  ghc-rpm-macros
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
ASN1 data reader and writer in raw form with supports for high level forms of
ASN1 (BER, and DER).

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Sun Feb 14 2021 psimons@suse.com
- Update asn1-encoding to version 0.9.6 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Mon Aug 31 2020 psimons@suse.com
- Update asn1-encoding to version 0.9.6 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 psimons@suse.com
- Re-generate file with latest version of spec-cleaner.
* Fri Nov  8 2019 psimons@suse.com
- Drop obsolete group attributes.
* Mon Sep 30 2019 psimons@suse.com
- Update asn1-encoding to version 0.9.6.
  Upstream does not provide a change log file.
* Sat Oct 20 2018 psimons@suse.com
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 0.9.5 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.9.4 revision 0 with cabal2obs.
* Sun Jun 12 2016 mimi.vx@gmail.com
- update to 0.9.4
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 0.9.3
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 0.9.2
* Wed Apr 22 2015 mimi.vx@gmail.com
- initial commit
